[aliases]
n0=ruseng {
n1=  var %i, %str = $$1-, %me = @
n2=  %i = $left(%str, 1)
n3=  if (%i == /) {
n4=    %i = $pos(%str, $chr(32), 1) - 1
n5=    %me = $left(%str, %i)
n6=    %i = $calc(-(%i + 1))
n7=    %str = $right(%str, %i)
n8=  }
n9=  else %me = @
n10=  if ($left(%str, 1) isalnum) {
n11=    %str = $replace.big(%str)
n12=    %str = $replace.sml(%str)
n13=    %str = $replace.sym(%str)
n14=  }
n15=  else {
n16=    %str = $replace.big_e(%str)
n17=    %str = $replace.sml_e(%str)
n18=    %str = $replace.sym_e(%str)
n19=  }
n20=  if (%me != @) %str = %me %str
n21=  return %str
n22=}
n23=ruseng_1 {
n24=  var %i, %str = $$1-, %me
n25=  %i = $pos(%str, $chr(32), 1) - 1
n26=  %me = $left(%str, %i)
n27=  %i = $calc(-(%i + 1))
n28=  %str = $right(%str, %i)
n29=  if ($left(%str, 1) isalnum) {
n30=    %str = $replace.big(%str)
n31=    %str = $replace.sml(%str)
n32=    %str = $replace.sym(%str)
n33=  }
n34=  else {
n35=    %str = $replace.big_e(%str)
n36=    %str = $replace.sml_e(%str)
n37=    %str = $replace.sym_e(%str)
n38=  }
n39=  %str = %me %str
n40=  return %str
n41=}
n42=rus {
n43=  var %i, %str = $$1-, %me = @
n44=  %i = $left(%str, 1)
n45=  if (%i == /) {
n46=    %i = $pos(%str, $chr(32), 1) - 1
n47=    %me = $left(%str, %i)
n48=    %i = $calc(-(%i + 1))
n49=    %str = $right(%str, %i)
n50=  }
n51=  else %me = @
n52=  %str = $replace.big(%str)
n53=  %str = $replace.sml(%str)
n54=  %str = $replace.sym(%str)
n55=  if (%me != @) %str = %me %str
n56=  return %str
n57=}
n58=eng {
n59=  var %i, %str = $$1-, %me = @
n60=  %i = $left(%str, 1)
n61=  if (%i == /) {
n62=    %i = $pos(%str, $chr(32), 1) - 1
n63=    %me = $left(%str, %i)
n64=    %i = $calc(-(%i + 1))
n65=    %str = $right(%str, %i)
n66=  }
n67=  else %me = @
n68=  %str = $replace.big_e(%str)
n69=  %str = $replace.sml_e(%str)
n70=  %str = $replace.sym_e(%str)
n71=  if (%me != @) %str = %me %str
n72=  return %str
n73=}
n74=replace.sym {
n75=  var %str $$1-
n76=  %str = $replacecs(%str, ?, $chr(44))
n77=  %str = $replacecs(%str, /, .)
n78=  %str = $replacecs(%str, @, ")
n79=  %str = $replacecs(%str, #, +)
n80=  %str = $replacecs(%str, $, ;)
n81=  %str = $replacecs(%str, ^, :)
n82=  %str = $replacecs(%str, &, ?)
n83=  return %str
n84=}
n85=replace.sml {
n86=  var %str $$1-
n87=  %str = $replacecs(%str, `, ¸)
n88=  %str = $replacecs(%str, q, é)
n89=  %str = $replacecs(%str, w, ö)
n90=  %str = $replacecs(%str, e, ó)
n91=  %str = $replacecs(%str, r, ê)
n92=  %str = $replacecs(%str, t, å)
n93=  %str = $replacecs(%str, y, í)
n94=  %str = $replacecs(%str, u, ã)
n95=  %str = $replacecs(%str, i, ø)
n96=  %str = $replacecs(%str, o, ù)
n97=  %str = $replacecs(%str, p, ç)
n98=  %str = $replacecs(%str, [, õ)
n99=  %str = $replacecs(%str, ], ú)
n100=  %str = $replacecs(%str, a, ô)
n101=  %str = $replacecs(%str, s, û)
n102=  %str = $replacecs(%str, d, â)
n103=  %str = $replacecs(%str, f, à)
n104=  %str = $replacecs(%str, g, ï)
n105=  %str = $replacecs(%str, h, ð)
n106=  %str = $replacecs(%str, j, î)
n107=  %str = $replacecs(%str, k, ë)
n108=  %str = $replacecs(%str, l, ä)
n109=  %str = $replacecs(%str, ;, æ)
n110=  %str = $replacecs(%str, ', ý)
n111=  %str = $replacecs(%str, z, ÿ)
n112=  %str = $replacecs(%str, x, ÷)
n113=  %str = $replacecs(%str, c, ñ)
n114=  %str = $replacecs(%str, v, ì)
n115=  %str = $replacecs(%str, b, è)
n116=  %str = $replacecs(%str, n, ò)
n117=  %str = $replacecs(%str, $chr(44), á)
n118=  %str = $replacecs(%str, m, ü)
n119=  %str = $replacecs(%str, ., þ)
n120=  return %str
n121=}
n122=replace.big {
n123=  var %str $$1-
n124=  var %len $len($$1-)
n125=  %str = $replacecs(%str, ~, ¨)
n126=  %str = $replacecs(%str, Q, É)
n127=  %str = $replacecs(%str, W, Ö)
n128=  %str = $replacecs(%str, E, Ó)
n129=  %str = $replacecs(%str, R, Ê)
n130=  %str = $replacecs(%str, T, Å)
n131=  %str = $replacecs(%str, Y, Í)
n132=  %str = $replacecs(%str, U, Ã)
n133=  %str = $replacecs(%str, I, Ø)
n134=  %str = $replacecs(%str, O, Ù)
n135=  %str = $replacecs(%str, P, Ç)
n136=  %str = $replacecs(%str, {, Õ)
n137=  %str = $replacecs(%str, }, Ú)
n138=  %str = $replacecs(%str, A, Ô)
n139=  %str = $replacecs(%str, S, Û)
n140=  %str = $replacecs(%str, D, Â)
n141=  %str = $replacecs(%str, F, À)
n142=  %str = $replacecs(%str, G, Ï)
n143=  %str = $replacecs(%str, H, Ð)
n144=  %str = $replacecs(%str, J, Î)
n145=  %str = $replacecs(%str, K, Ë)
n146=  %str = $replacecs(%str, L, Ä)
n147=  %str = $replacecs(%str, :, Æ)
n148=  %str = $replacecs(%str, ", Ý)
n149=  %str = $replacecs(%str, Z, ß)
n150=  %str = $replacecs(%str, X, ×)
n151=  %str = $replacecs(%str, C, Ñ)
n152=  %str = $replacecs(%str, V, Ì)
n153=  %str = $replacecs(%str, B, È)
n154=  %str = $replacecs(%str, N, Ò)
n155=  %str = $replacecs(%str, <, Á)
n156=  %str = $replacecs(%str, M, Ü)
n157=  %str = $replacecs(%str, >, Þ)
n158=  return $left(%str, %len)
n159=}
n160=replace.sym_e {
n161=  var %str $$1-
n162=  %str = $replacecs(%str, $chr(44), ?)
n163=  %str = $replacecs(%str, ., /)
n164=  %str = $replacecs(%str, ", @)
n165=  %str = $replacecs(%str, ¹, #)
n166=  %str = $replacecs(%str, ;, $) 
n167=  %str = $replacecs(%str, :, ^)
n168=  %str = $replacecs(%str, ?, &)
n169=  return %str
n170=}
n171=replace.sml_e {
n172=  var %str $$1-
n173=  %str = $replacecs(%str, ¸, `)
n174=  %str = $replacecs(%str, é, q)
n175=  %str = $replacecs(%str, ö, w)
n176=  %str = $replacecs(%str, ó, e)
n177=  %str = $replacecs(%str, ê, r)
n178=  %str = $replacecs(%str, å, t)
n179=  %str = $replacecs(%str, í, y)
n180=  %str = $replacecs(%str, ã, u)
n181=  %str = $replacecs(%str, ø, i)
n182=  %str = $replacecs(%str, ù, o)
n183=  %str = $replacecs(%str, ç, p)
n184=  %str = $replacecs(%str, õ, [)
n185=  %str = $replacecs(%str, ú, ])
n186=  %str = $replacecs(%str, ô, a)
n187=  %str = $replacecs(%str, û, s)
n188=  %str = $replacecs(%str, â, d)
n189=  %str = $replacecs(%str, à, f)
n190=  %str = $replacecs(%str, ï, g)
n191=  %str = $replacecs(%str, ð, h)
n192=  %str = $replacecs(%str, î, j)
n193=  %str = $replacecs(%str, ë, k)
n194=  %str = $replacecs(%str, ä, l)
n195=  %str = $replacecs(%str, æ, ;)
n196=  %str = $replacecs(%str, ý, ')
n197=  %str = $replacecs(%str, ÿ, z)
n198=  %str = $replacecs(%str, ÷, x)
n199=  %str = $replacecs(%str, ñ, c)
n200=  %str = $replacecs(%str, ì, v)
n201=  %str = $replacecs(%str, è, b)
n202=  %str = $replacecs(%str, ò, n)
n203=  %str = $replacecs(%str, á, $chr(44))
n204=  %str = $replacecs(%str, ü, m)
n205=  %str = $replacecs(%str, þ, .)
n206=  return %str
n207=}
n208=replace.big_e {
n209=  var %str $$1-
n210=  var %len $len($$1-)
n211=  %str = $replacecs(%str, ¨, ~)
n212=  %str = $replacecs(%str, É, Q)
n213=  %str = $replacecs(%str, Ö, W)
n214=  %str = $replacecs(%str, Ó, E)
n215=  %str = $replacecs(%str, Ê, R)
n216=  %str = $replacecs(%str, Å, T)
n217=  %str = $replacecs(%str, Í, Y)
n218=  %str = $replacecs(%str, Ã, U)
n219=  %str = $replacecs(%str, Ø, I)
n220=  %str = $replacecs(%str, Ù, O)
n221=  %str = $replacecs(%str, Ç, P)
n222=  %str = $replacecs(%str, Õ, {)
n223=  %str = $replacecs(%str, Ú, })
n224=  %str = $replacecs(%str, Ô, A)
n225=  %str = $replacecs(%str, Û, S)
n226=  %str = $replacecs(%str, Â, D)
n227=  %str = $replacecs(%str, À, F)
n228=  %str = $replacecs(%str, Ï, G)
n229=  %str = $replacecs(%str, Ð, H)
n230=  %str = $replacecs(%str, Î, J)
n231=  %str = $replacecs(%str, Ë, K)
n232=  %str = $replacecs(%str, Ä, L)
n233=  %str = $replacecs(%str, Æ, :)
n234=  %str = $replacecs(%str, Ý, ")
n235=  %str = $replacecs(%str, ß, Z)
n236=  %str = $replacecs(%str, ×, X)
n237=  %str = $replacecs(%str, Ñ, C)
n238=  %str = $replacecs(%str, Ì, V)
n239=  %str = $replacecs(%str, È, B)
n240=  %str = $replacecs(%str, Ò, N)
n241=  %str = $replacecs(%str, Á, <)
n242=  %str = $replacecs(%str, Ü, M)
n243=  %str = $replacecs(%str, Þ, >)
n244=  return $left(%str, %len)
n245=}
